#include "Memory.h"


namespace armarx::armem::wm
{
    Commit Memory::toCommit() const
    {
        Commit c;
        for (const auto& [k, s] : _container)
        {
            c.append(s.toCommit());
        }
        return c;
    }

    void Memory::_copySelfWithoutData(Memory& other) const
    {
        other.id() = _id;
        for (const auto& [k, s] : _container)
        {
            other.addCoreSegment(s.copyWithoutData());
        }
    }
}
